<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --groupid=<groupid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$GROUPID=$args_array['groupid'];


if(!$GROUPID)
{
        echo "ERROR: --groupid=<groupid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$groupObj = getGroups($USER,$PASS,$HOST,$PORT);

foreach($groupObj->return as $tmp)
{
	if($tmp->id == $GROUPID)
	{
		$group = $tmp;
		break;
	}
}

try{

	$client = new soapclient("https://$HOST:$PORT/Group?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deleteGroup(array('group'=>$group));

	echo "Successfully executed deleteGroup\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
